diff --git a/connection.c b/connection.c
index af985f2..61dbdb5 100644
--- a/connection.c
+++ b/connection.c
@@ -1497,12 +1497,12 @@ static char CC_initial_log(ConnectionClass *self, const char *func)
 		 ci->drivers.bools_as_char,
 		 TABLE_NAME_STORAGE_LEN);
 
-	encoding = check_client_encoding(ci->conn_settings);
+	encoding = pg_check_client_encoding(ci->conn_settings);
 	if (encoding)
 		self->original_client_encoding = encoding;
 	else
 	{
-		encoding = check_client_encoding(ci->drivers.conn_settings);
+		encoding = pg_check_client_encoding(ci->drivers.conn_settings);
 		if (encoding)
 			self->original_client_encoding = encoding;
 	}
diff --git a/dlg_specific.c b/dlg_specific.c
index cf6852b..3700a2e 100644
--- a/dlg_specific.c
+++ b/dlg_specific.c
@@ -1152,7 +1152,7 @@ getDSNinfo(ConnInfo *ci, char overwrite)
 
 	if (get_qlog())
 	{
-		char	*enc = (char *) check_client_encoding(ci->conn_settings);
+		char	*enc = (char *) pg_check_client_encoding(ci->conn_settings);
 
 		qlog("          conn_settings='%s', conn_encoding='%s'\n", ci->conn_settings,
 			NULL != enc ? enc : "(null)");
diff --git a/multibyte.c b/multibyte.c
index 2f7b594..0be7a0b 100644
--- a/multibyte.c
+++ b/multibyte.c
@@ -108,7 +108,7 @@ pg_CS_code(const char *characterset_string)
 }
 
 char *
-check_client_encoding(const pgNAME conn_settings)
+pg_check_client_encoding(const pgNAME conn_settings)
 {
 	const char *cptr, *sptr = NULL;
 	char   *rptr;
diff --git a/multibyte.h b/multibyte.h
index 73fb3a8..f4100dc 100644
--- a/multibyte.h
+++ b/multibyte.h
@@ -82,6 +82,5 @@ void encoded_str_constr(encoded_str *encstr, int ccsc, const char *str);
 extern int encoded_nextchar(encoded_str *encstr);
 extern ssize_t encoded_position_shift(encoded_str *encstr, size_t shift);
 extern int encoded_byte_check(encoded_str *encstr, size_t abspos);
-/* #define check_client_encoding(X) pg_CS_name(pg_CS_code(X)) */
-char *check_client_encoding(const pgNAME sql_string);
+extern char *pg_check_client_encoding(const pgNAME sql_string);
 #endif /* __MULTIBUYTE_H__ */
